# Class ProtectedStorageEntry

#### Hierarchy

- unknown
  - ProtectedStorageEntry

- Defined in src/protobuf/pb_pb.d.ts:2009
- Defined in src/protobuf/pb_pb.d.ts:2039

#####
Index

### Constructors

constructor

### Methods

clearStoragepayload
getCreationTimeStamp
getOwnerPubKeyBytes
getOwnerPubKeyBytes_asB64
getOwnerPubKeyBytes_asU8
getSequenceNumber
getSignature
getSignature_asB64
getSignature_asU8
getStoragepayload
hasStoragepayload
serializeBinary
setCreationTimeStamp
setOwnerPubKeyBytes
setSequenceNumber
setSignature
setStoragepayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ProtectedStorageEntry(): ProtectedStorageEntry

- #### Returns ProtectedStorageEntry

  Inherited from jspb.Message.constructor

## Methods

### clearStoragepayload

- clearStoragepayload(): ProtectedStorageEntry

- #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2013

### getCreationTimeStamp

- getCreationTimeStamp(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2028

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2015

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2017

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2016

### getSequenceNumber

- getSequenceNumber(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2020

### getSignature

- getSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2023

### getSignature_asB64

- getSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2025

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2024

### getStoragepayload

- getStoragepayload(): undefined | StoragePayload

- #### Returns undefined | StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2010

### hasStoragepayload

- hasStoragepayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2012

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2031

### setCreationTimeStamp

- setCreationTimeStamp(value: number): ProtectedStorageEntry

- #### Parameters

  - ##### value: number

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2029

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): ProtectedStorageEntry

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2018

### setSequenceNumber

- setSequenceNumber(value: number): ProtectedStorageEntry

- #### Parameters

  - ##### value: number

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2021

### setSignature

- setSignature(value: string | Uint8Array): ProtectedStorageEntry

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2026

### setStoragepayload

- setStoragepayload(value?: StoragePayload): ProtectedStorageEntry

- #### Parameters

  - ##### `Optional` value: StoragePayload

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2011

### toObject

- toObject(includeInstance?: boolean): ProtectedStorageEntry.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ProtectedStorageEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2032

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ProtectedStorageEntry

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2035

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ProtectedStorageEntry, reader: BinaryReader): ProtectedStorageEntry

- #### Parameters

  - ##### message: ProtectedStorageEntry

  - ##### reader: BinaryReader

  #### Returns ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2036

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ProtectedStorageEntry, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ProtectedStorageEntry

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2034

### `Static` toObject

- toObject(includeInstance: boolean, msg: ProtectedStorageEntry): ProtectedStorageEntry.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ProtectedStorageEntry

  #### Returns ProtectedStorageEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2033

Generated using TypeDoc